#### Beyond Linux® From Scratch (System V Edition) - Version 12.3

### Chapter 6. Text Editors

- Prev

  Mousepad-0.6.3

- Next

  Vim-9.1.1166

- Up
- Home

# Nano-8.3

## Introduction to Nano

The Nano package contains a small, simple text editor which aims to replace Pico, the default editor in the Pine package.

This package is known to build and work properly using an LFS 12.3 platform.

### Package Information

- Download (HTTP): https://www.nano-editor.org/dist/v8/nano-8.3.tar.xz

- Download MD5 sum: e64276780e23efb273480c4279050f74

- Download size: 1.6 MB

- Estimated disk space required: 24 MB

- Estimated build time: 0.2 SBU

## Installation of Nano

Install Nano by running the following commands:

    ./configure --prefix=/usr     \
                --sysconfdir=/etc \
                --enable-utf8     \
                --docdir=/usr/share/doc/nano-8.3 &&
    make

This package does not come with a test suite.

Now, as the `root` user:

    make install &&
    install -v -m644 doc/{nano.html,sample.nanorc} /usr/share/doc/nano-8.3

## Command Explanations

`--enable-utf8`: This switch enables unicode support in Nano.

## Configuring nano

### Config Files

`/etc/nanorc` and `~/.nanorc`

### Configuration Information

Example configuration (create as a system-wide `/etc/nanorc` or a personal `~/.nanorc` file)

    set autoindent
    set constantshow
    set fill 72
    set historylog
    set multibuffer
    set nohelp
    set positionlog
    set quickblank
    set regexp

Check the `sample.nanorc` file in the installed documentation directory. It includes color configurations and has some documentation included in the comments.

Syntax highlighting is provided for several file types, in `/usr/share/nano/` directory. E.g., for shell scripts, you can insert `include /usr/share/nano/sh.nanorc` in the personal or global configuration file. If you wish highlighting for all supported files, use `include /usr/share/nano/*.nanorc`. This include does not descend into the `extra` directory. Move required files one level up.

## Contents

Installed Programs: nano and rnano (symlink)
Installed Libraries: None
Installed Directories: /usr/share/nano and /usr/share/doc/nano-8.3

### Short Descriptions

nano | is a small, simple text editor which aims to replace Pico, the default editor in the Pine package
rnano | is a restricted mode for nano

- Prev

  Mousepad-0.6.3

- Next

  Vim-9.1.1166

- Up
- Home